<template>
    <q-item clickable v-ripple :to="`/worker/${worker.subContractor.id}/${worker.id}`">
        <q-item-section avatar>
            <q-avatar>
                <img :src="worker.image" alt="Cannot find image">
            </q-avatar>
        </q-item-section>
        <q-item-section>
            <q-item-label>{{ worker.name }}</q-item-label>

            <q-item-label caption lines="1">{{ worker.id }}</q-item-label>
            <q-item-label caption lines="1" class="text-overline">{{ worker.tag }}</q-item-label>
        </q-item-section>

    </q-item>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import {WorkerPrincipalResponse} from "src/classLibrary/APIModels/core/workerPrincipalResponse";


@Component
export default class WorkerItem extends Vue {
    @Prop() worker!: WorkerPrincipalResponse
}
</script>
